Package org.etsi.uri._01903.v1_3

# Class CRLValuesType

java.lang.Object
org.etsi.uri._01903.v1_3.CRLValuesType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class CRLValuesType extends Object implements Serializable

Java class for CRLValuesType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CRLValuesType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EncapsulatedCRLValue" type="{http://uri.etsi.org/01903/v1.3.2#}EncapsulatedPKIDataType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CRLValuesType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<EncapsulatedPKIData>`
  `getEncapsulatedCRLValues()`
  Gets the value of the encapsulatedCRLValues property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CRLValuesType

    public CRLValuesType()

- ## Method Details

  - ### getEncapsulatedCRLValues

    public List<EncapsulatedPKIData> getEncapsulatedCRLValues()
    Gets the value of the encapsulatedCRLValues property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the encapsulatedCRLValues property.

    For example, to add a new item, do as follows:

         getEncapsulatedCRLValues().add(newItem);

    Objects of the following type(s) are allowed in the list `EncapsulatedPKIData`

    Returns:
      The value of the encapsulatedCRLValues property.